Subject: Re: bug#30080: 24.5; write-region can reset idle time

From: Cecil Westerhof <[email-masked]>
Date: Fri, 12 Jan 2018 16:11:56 +0100

Stefan Monnier <[email-masked]> writes:

>> It is even more funny: when I play a video with mpv, idle time is also
>> reset. And this I find really odd.
>
> Can you try to run Emacs under GDB?
> Then start Emacs to try and reproduce the problem with mpv.
> Once ready to start mpv, hit `C-c C-z` in GDB, then type
>
>     break timer_stop_idle
>     continue
>
> then launch mpv and try to see the backtrace (with command `bt`) when
> the timer_stop_idle breakpoint is triggered.
> [ Then again, maybe this will trigger all the time, but is a false
>   alarm because it would be undone right after by the above code.  ]

And it is funnier still: I found out that this only happens when mpv
is started when clicking on a file in KTorrent. If I click om a file
in Thunar, or start mpv from the command line it does not happen.

I will try to do what you asked this weekend.

-- 
Cecil Westerhof
Senior Software Engineer
M [email-masked]

LinkedIn: http://www.linkedin.com/in/cecilwesterhof